Opened 10 years ago

Closed 10 years ago

#27038 closed defect (invalid)

Nothing happens when trying to upgrade xorg-libXcomposite and xorg-libsm

Reported by: ksze (Kal Sze) Owned by: jeremyhu (Jeremy Huddleston Sequoia)
Priority: Normal Milestone:
Component: ports Version: 1.9.1
Keywords: upgrade Cc: mvfranz@…
Port: xorg-libXcomposite xorg-libsm

Description

I sync'ed MacPorts today, and when I executed "port outdated", I'm told that xorg-libXcomposite and xorg-libsm are outdated.

However, when I execute "port -R upgrade outdated" or even explicitly "port -R upgrade xorg-libXcomposite and xorg-libsm", nothing happens.

I have attached the output of "port -dR upgrade outdated".

Attachments (1)

port.log (121.9 KB) - added by ksze (Kal Sze) 10 years ago.
Log of "port -dR upgrade xorg-libXcomposite xorg-libsm"

Download all attachments as: .zip

Change History (6)

Changed 10 years ago by ksze (Kal Sze)

Attachment: port.log added

Log of "port -dR upgrade xorg-libXcomposite xorg-libsm"

comment:1 in reply to:  description Changed 10 years ago by ksze (Kal Sze)

Replying to swordangel@…:

I sync'ed MacPorts today, and when I executed "port outdated", I'm told that xorg-libXcomposite and xorg-libsm are outdated.

However, when I execute "port -R upgrade outdated" or even explicitly "port -R upgrade xorg-libXcomposite and xorg-libsm", nothing happens.

I have attached the output of "port -dR upgrade outdated".

Oops, bad copy and paste. Please disregard the and.

comment:2 Changed 10 years ago by jmroot (Joshua Root)

Cc: mvfranz@… added
Owner: changed from macports-tickets@… to jeremyhu@…

Apparently your index has xorg-libXcomposite 0.4.3 but the actual portfile says 0.4.2. Are you using any local sources? Are parts of your ports tree not writable for some reason?

comment:3 Changed 10 years ago by jmroot (Joshua Root)

BTW, you don't want to use -R here, you're already upgrading everything that is outdated, and asking to follow dependents as well will just make things potentially happen in the wrong order.

comment:4 Changed 10 years ago by ksze (Kal Sze)

Meh. I don't know what happened. I 'port clean --all'ed those two ports, 'port sync'ed again yesterday and the problem is gone: I could upgrade.

comment:5 Changed 10 years ago by jmroot (Joshua Root)

Resolution: invalid
Status: newclosed
Note: See TracTickets for help on using tickets.